Package org.eclipse.emf.cdo.server

# Class IRepositoryProtector.AuthorizationStrategy.Additive

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.server.IRepositoryProtector.Element
org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy
org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy.Additive

All Implemented Interfaces:
  `BiPredicate<CDOPermission,CDOPermission>`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Enclosing class:
  IRepositoryProtector.AuthorizationStrategy

public static class IRepositoryProtector.AuthorizationStrategy.Additive extends IRepositoryProtector.AuthorizationStrategy

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy

`IRepositoryProtector.AuthorizationStrategy.Additive, IRepositoryProtector.AuthorizationStrategy.Subtractive`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOPermission`
`DEFAULT_INITIAL_PERMISSION`
`static final CDOPermission`
`DEFAULT_TERMINAL_PERMISSION`

### Fields inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy

`DEFAULT, DEFAULT_TYPE, PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`Additive()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(CDOPermission currentPermission, CDOPermission newPermission)`

### Methods inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.AuthorizationStrategy

`doBeforeActivate, getCombinedPermission, getInitialPermission, getTerminalPermission, isAuthorizeAttach, isAuthorizeDetach, isAuthorizeModify, setAuthorizeAttach, setAuthorizeDetach, setAuthorizeModify, setInitialPermission, setTerminalPermission`

### Methods inherited from class org.eclipse.emf.cdo.server.IRepositoryProtector.Element

`checkRepositoryProtector, getContainer, getRepositoryProtector, setRepositoryProtector`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, doBeforeDeactivate, doDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### DEFAULT_INITIAL_PERMISSION

public static final CDOPermission DEFAULT_INITIAL_PERMISSION

### DEFAULT_TERMINAL_PERMISSION

public static final CDOPermission DEFAULT_TERMINAL_PERMISSION

## Constructor Details

### Additive

public Additive()

## Method Details

### test

public boolean test(CDOPermission currentPermission, CDOPermission newPermission)

Specified by:
  `test` in interface `BiPredicate<CDOPermission,CDOPermission>`
Specified by:
  `test` in class `IRepositoryProtector.AuthorizationStrategy`